Skip to content
Documentation

List webhook subscriptions

GET
/v1/public-api/webhooks

Scope: webhooks:read. The signing secret (secret) is not returned in the list.

Authorization

integrationKey
headerAuthorizationBearer <cf_sk_…>

Organization API key (cf_sk_…), created under Organization → API and automations → API keys and sent as Authorization: Bearer cf_sk_….

Query Parameters

limit?integer
Range0 <= value <= 100
Default20
offset?integer
Range0 <= value
Default0

Response Body

Success

application/json
  1. response
success*boolean
data*unknown
meta?
Example Request
curl -X GET 'https://api.getclickfix.com/v1/public-api/webhooks'
Example Response
{  "success": true,  "data": {    "items": [      {        "uuid": "7a8b9c0d-1e2f-4a3b-8c4d-5e6f7a8b9c0d",        "name": "ERP sync",        "url": "https://erp.example.com/clickfix/webhook",        "events": [          "conversation.created",          "message.received",          "contact.updated"        ],        "enabled": true,        "created_at": "2026-11-01T10:00:00Z"      }    ],    "total": 1,    "limit": 20,    "offset": 0  },  "meta": {    "request_id": "01JCK9ZQ3M8R2W7X5E4T1N0PAB"  }}